org.apache.ignite.client

## Interface IgniteClient

All Superinterfaces:
  AutoCloseable

All Known Implementing Classes:
  TcpIgniteClient

    public interface IgniteClient
    extends AutoCloseable

Ignite thin client.

Unlike Ignite client nodes, thin clients do not start Ignite infrastructure and communicate with Ignite cluster over a fast and lightweight protocol.

### Method Summary

All Methods Instance Methods Abstract Methods
`IgniteBinary` `binary()`
`<K,V> ClientCache<K,V>` `cache(String name)` Get existing cache.
`Collection<String>` `cacheNames()`
`<K,V> ClientCache<K,V>` `createCache(ClientCacheConfiguration cfg)` Create cache.
`<K,V> ClientCache<K,V>` `createCache(String name)` Create cache.
`void` `destroyCache(String name)` Destroy cache.
`<K,V> ClientCache<K,V>` `getOrCreateCache(ClientCacheConfiguration cfg)` Get existing cache or create the cache if it does not exist.
`<K,V> ClientCache<K,V>` `getOrCreateCache(String name)` Get existing cache or create the cache if it does not exist.
`FieldsQueryCursor<List<?>>` `query(SqlFieldsQuery qry)` Execute SQL query and get cursor to iterate over results.

### Methods inherited from interface java.lang.AutoCloseable

`close`

### Method Detail

#### getOrCreateCache

    <K,V> ClientCache<K,V> getOrCreateCache(String name)
                                     throws ClientException

Get existing cache or create the cache if it does not exist.

Parameters:
  `name` - Cache name.
Throws:
  `ClientException`

#### getOrCreateCache

    <K,V> ClientCache<K,V> getOrCreateCache(ClientCacheConfiguration cfg)
                                     throws ClientException

Get existing cache or create the cache if it does not exist.

Parameters:
  `cfg` - Cache configuration.
Throws:
  `ClientException`

#### cache

    <K,V> ClientCache<K,V> cache(String name)

Get existing cache.

Parameters:
  `name` - Cache name.

#### cacheNames

    Collection<String> cacheNames()
                           throws ClientException

Returns:
  Collection of names of currently available caches or an empty collection if no caches are available.
Throws:
  `ClientException`

#### destroyCache

    void destroyCache(String name)
               throws ClientException

Destroy cache.

Throws:
  `ClientException`

#### createCache

    <K,V> ClientCache<K,V> createCache(String name)
                                throws ClientException

Create cache.

Parameters:
  `name` - Cache name.
Throws:
  `ClientException`

#### createCache

    <K,V> ClientCache<K,V> createCache(ClientCacheConfiguration cfg)
                                throws ClientException

Create cache.

Parameters:
  `cfg` - Cache configuration.
Throws:
  `ClientException`

#### binary

    IgniteBinary binary()

Returns:
  Instance of `IgniteBinary` interface.

#### query

    FieldsQueryCursor<List<?>> query(SqlFieldsQuery qry)

Execute SQL query and get cursor to iterate over results.

Parameters:
  `qry` - SQL query.
Returns:
  Cursor.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018